View Issue Details

IDProjectCategoryLast Update
0021591AI War 2[All Projects] SuggestionSep 9, 2019 8:09 pm
ReporterRocketAssistedPuffinAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.886 Zombie Homebodies 
Fixed in Version0.888 Astro Examination 
Summary0021591: Building a Station on a planet the Warden is on should not force it to immediately retreat
DescriptionWhat is possible apparently is being able to destroy the AI Station in front of the Warden Fleet, quickly build your own with mass Engineer, which causes the Warden, even if it is overwhelming you, to immediately leave the battle because of that Station.

Feels pretty cheesy and a tad silly. So from Discord:

Either the Warden units on the planet, if they think they can win, should not retreat, until they either win, or start to lose the battle - Warden units not on the planet are not allowed to enter; this is a bit iffy and I imagine ow to code.

The other (from zeusalmighty), is for the Station to need to be 100% finished for a certain amount of time, say a minute, before the Warden will retreat from it.

Or any other solution, I suppose. This is seemingly allowing people to just ignore the Warden entirely.

Will get a save tomorrow, if I remember.
TagsNo tags attached.

Activities

RocketAssistedPuffin

Sep 7, 2019 8:25 am

developer   ~0052908

Force on planet Murdoch, currently neutral. Warden is en route, with a small group of forces, but a lot of reinforcements, enough to overpower.

Simply start a Station, then tell the Combat Engineers to assist it. Once finished, despite being much stronger, the Warden'll just run away immediately.

WardenFleetRetreatFromStation.save (941,793 bytes)

BadgerBadger

Sep 9, 2019 8:09 pm

manager   ~0052975

Fixed.

Issue History

Date Modified Username Field Change
Sep 6, 2019 7:52 pm RocketAssistedPuffin New Issue
Sep 7, 2019 8:25 am RocketAssistedPuffin File Added: WardenFleetRetreatFromStation.save
Sep 7, 2019 8:25 am RocketAssistedPuffin Note Added: 0052908
Sep 9, 2019 8:09 pm BadgerBadger Assigned To => BadgerBadger
Sep 9, 2019 8:09 pm BadgerBadger Status new => resolved
Sep 9, 2019 8:09 pm BadgerBadger Resolution open => fixed
Sep 9, 2019 8:09 pm BadgerBadger Fixed in Version => 0.888 Astro Examination
Sep 9, 2019 8:09 pm BadgerBadger Note Added: 0052975